### Method

# Gtk Snapshotrender_insertion_cursor

deprecated: 4.10

#### Declaration [src]

    void
    gtk_snapshot_render_insertion_cursor (
      GtkSnapshot* snapshot,
      GtkStyleContext* context,
      double x,
      double y,
      PangoLayout* layout,
      int index,
      PangoDirection direction
    )

#### Description [src]

Draws a text caret using `snapshot` at the specified index of `layout`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkStyleContext`

  A `GtkStyleContext`

  The data is owned by the caller of the method.

`x`

  Type: `double`

  X origin.

`y`

  Type: `double`

  Y origin.

`layout`

  Type: `PangoLayout`

  The `PangoLayout` of the text.

  The data is owned by the caller of the method.

`index`

  Type: `int`

  The index in the `PangoLayout`

`direction`

  Type: `PangoDirection`

  The `PangoDirection` of the text.